This page describes how to view, update, and delete
Partner Cross-Cloud Interconnect for Amazon Web Services (AWS) connections. To view, update, or delete a
connection, use the transport resource.
View connections
To view connections, follow these steps.
Console
In the Google Cloud console, go to the Partner Cross-Cloud Interconnect page.
In the project menu, select your project.
The Transports page lists the transport resources in the project.
To view details of a specific transport, click the name of the transport that you want to view details for.
gcloud
Use the gcloud network-connectivity transports list command.
gcloud network-connectivity transports list \
--region=LOCATION
Your output is similar to the following:
gcloud network-connectivity transport list --region us-east4 | Name | Profile | Bandwidth | State | |===================|======================|===========|========| | my-cci-aws | aws-us-east-1 | 1 Gb/s | Active | | my-cci-aws-123456 | aws-us-east-1 | 1 Gb/s | Active |
Replace the following values:
TRANSPORT_NAME: the name of the transport for which you want to view detailsLOCATION: the location where the connection resides
To get details of a single transport, use the
gcloud network-connectivity transports describe command.
gcloud network-connectivity transports describe TRANSPORT_NAME \
--region=LOCATION
Replace the following values:
TRANSPORT_NAME: the name of the transport for which you want to view detailsLOCATION: the location where the connection resides
API
To list all the transports in a specific project and location, use the
networkconnectivity.transports.list method with an empty request body.
curl -H "Authorization: Bearer $(gcloud auth print-access-token)" \ "https://networkconnectivity.googleapis.com/v1/projects/PROJECT/locations/LOCATION/transports"
Replace the following values:
PROJECT: the name of the projectLOCATION: the location where the connection resides
To get details of a single transport, use the
networkconnectivity.transports.get method.
curl -H "Authorization: Bearer $(gcloud auth print-access-token)" \ "https://networkconnectivity.googleapis.com/v1/projects/PROJECT/locations/LOCATION/transports/TRANSPORT_NAME"
Replace the following values:
PROJECT: the name of the projectLOCATION: the location where the connection residesTRANSPORT_NAME: the name of the transport for which you want to view details
Update connections
You can update the following two parameters of the transport resource:
descriptionadvertisedRoutesstackTypebandwidth(if the profile supports the new bandwidth)
Changing the advertised routes changes the routes reachable from AWS. You must provide the updated fields in a mask on the query parameter.
Console
In the Google Cloud console, go to the Partner Cross-Cloud Interconnect page.
In the project menu, select your project.
The Transports page lists the transport resources in the project.
Next to the transport that you want to update, click View instructions.
Click Edit transport.
Update the Description or the Advertised routes as needed.
Click Save.
gcloud
Use the gcloud network-connectivity transports update command.
gcloud network-connectivity transports update "TRANSPORT_NAME" \
--region=LOCATION \
--advertised-routes=ADVERTISED_ROUTES \
[--description=DESCRIPTION] \
--format json
Replace the following values:
TRANSPORT_NAME: the name of the transport that you want to updateLOCATION: the location where the connection residesADVERTISED_ROUTES: a comma-separated list of advertised routes of the transport resourceDESCRIPTION: an optional description of the transport resource
API
Use the networkconnectivity.transports.patch method.
curl -X PATCH -H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Content-Type: application/json" \
"https://networkconnectivity.googleapis.com/v1/projects/PROJECT/locations/LOCATION/transports/TRANSPORT_NAME" --data '{
"advertisedRoutes": ["IP_RANGE"]
}'
Replace the following values:
PROJECT: the name of the projectLOCATION: the location where the connection residesTRANSPORT_NAME: the name of the transport that you want to updateIP_RANGE: the IP range of the advertised routes, such as10.128.0.0/9
The response looks similar to the following:
{
{
"advertisedRoutes": [
"10.128.0.0/9"
],
"description": NEW_DESCRIPTION,
"updateTime": TIME
}
}
Delete connections
Deleting a transport doesn't delete your resource on the AWS side, so make sure to clean up both sides of the connection.
Console
In the Google Cloud console, go to the Partner Cross-Cloud Interconnect page.
In the project menu, select your project.
The Transports page lists the transport resources in the project.
Click the transport resource that you want to delete.
Click Delete.
gcloud
Use the gcloud network-connectivity transports delete command.
gcloud network-connectivity transports delete TRANSPORT_NAME \
--region=LOCATION
Replace the following values:
TRANSPORT_NAME: the name of the transport that you want to deleteLOCATION: the location where the transport resides
API
To delete a single transport, use the
networkconnectivity.transports.delete method with an empty request body.
curl -X DELETE \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ https://networkconnectivity.googleapis.com/v1/projects/PROJECT/locations/LOCATION/transports/TRANSPORT_NAME
Replace the following values:
PROJECT: the name of the projectLOCATION: the location where the connection residesTRANSPORT_NAME: the name of the transport that you want to delete
What's next
- To find answers to common questions about Cloud Interconnect architecture and features, see the Cloud Interconnect FAQ.
- To find out more about Cloud Interconnect, see the Cloud Interconnect overview.
- To learn about best practices when planning for and configuring Cloud Interconnect, see Best practices.
- To find Google Cloud resource names, see the Cloud Interconnect APIs.